Bug 526415 - The SCSI failed 2008 R2 DP WDK Hot-Replace Device Test—Verify driver support for D3 Power State
Summary: The SCSI failed 2008 R2 DP WDK Hot-Replace Device Test—Verify driver support ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xenpv-win
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 624598
Blocks: 518435
TreeView+ depends on / blocked
 
Reported: 2009-09-30 07:28 UTC by koka xiong
Modified: 2011-02-01 09:00 UTC (History)
7 users (show)

Fixed In Version: 1.3.0-1
Doc Type: Bug Fix
Doc Text:
Previously, hibernation caused the SCSI device to reject the input/output operations to paravirtual block devices. With this update, the RHELSCSI driver brings up paravirtual block devices cleanly when coming back from hibernation.
Clone Of:
Environment:
Last Closed: 2011-02-01 09:00:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
cpu-failure.xslt (5.21 KB, application/xslt+xml)
2010-10-26 03:48 UTC, cshao
no flags Details
D3-failure.xslt (5.21 KB, application/xslt+xml)
2010-10-26 03:49 UTC, cshao
no flags Details
D3-wttea.log (701.40 KB, application/octet-stream)
2010-10-26 03:49 UTC, cshao
no flags Details
win2008R2-pagefile (43.63 KB, image/jpeg)
2010-10-26 09:48 UTC, cshao
no flags Details
pic from hardware (60.05 KB, image/png)
2010-10-28 14:28 UTC, cshao
no flags Details
pic for device manager (65.81 KB, image/png)
2010-10-28 14:29 UTC, cshao
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0187 normal SHIPPED_LIVE xenpv-win bug fix update 2011-02-01 08:59:58 UTC

Description koka xiong 2009-09-30 07:28:15 UTC
Description of problem:
The SCSI failed 2008 R2 DP WDK-Hot-Replace Device Test-Verify driver support for D3 Power State

Version-Release number of selected component (if applicable):
xenpv-win-64-bit-1.0.90-2.el5.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1.Configure WHQL and do  SCSI  2008 R2 DP WDK-Hot-Replace Device Test-Verify driver support for D3 Power State
2.The test can't be finished and window becomes no response
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Paolo Bonzini 2010-02-19 18:24:51 UTC
Still present.

Comment 2 Paolo Bonzini 2010-06-02 14:28:48 UTC
This passed with the latest drivers, except that Windows could not reboot.  If the guest is "virsh destroy"ed and restarted, the tests passes.

Comment 3 Paolo Bonzini 2010-08-31 15:56:38 UTC
More on comment #2: the test requires NMI support in the hypervisor, which is scheduled for RHEL 5.6.

Comment 4 Paolo Bonzini 2010-09-01 12:49:41 UTC
I can now reproduce this easily by running a copy of a big file on a PV disk while running "pnpcpu -replace" in another window.  (pnpcpu can be found on the DTM controller).  The system will often not come back up.

Comment 5 Paolo Bonzini 2010-09-30 11:49:59 UTC
The fix is now in the master branch of the xenpv-win repo.

Comment 8 Florian Nadge 2010-10-18 16:26:17 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, hibernation caused the SCSI device to reject the input/output operations to paravirtual block devices. With this update, the RHELSCSI driver brings up paravirtual block devices cleanly when coming back from hibernation

Comment 9 Florian Nadge 2010-10-18 16:26:46 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, hibernation caused the SCSI device to reject the input/output operations to paravirtual block devices. With this update, the RHELSCSI driver brings up paravirtual block devices cleanly when coming back from hibernation+Previously, hibernation caused the SCSI device to reject the input/output operations to paravirtual block devices. With this update, the RHELSCSI driver brings up paravirtual block devices cleanly when coming back from hibernation.

Comment 10 cshao 2010-10-26 03:48:35 UTC
Created attachment 455674 [details]
cpu-failure.xslt

Comment 11 cshao 2010-10-26 03:49:07 UTC
Created attachment 455675 [details]
D3-failure.xslt

Comment 12 cshao 2010-10-26 03:49:42 UTC
Created attachment 455676 [details]
D3-wttea.log

Comment 13 cshao 2010-10-26 03:53:34 UTC
After test with xenpv-win-1.3.0-1.el5, the child job result (check pagefile path--> check PagePath) of this job (D3 Power State ) is failed.
The same situation occurs in job (Hot Add APU).
Please see attachment for more details.

Comment 14 Yewei Shao 2010-10-26 04:10:40 UTC
Paolo, please help to see the comment #13.

Comment 15 Paolo Bonzini 2010-10-26 08:52:00 UTC
"check PagePath" failure is a configuration error.  Please include a screenshot of the pagefile configuration dialog on this machine.

Comment 16 cshao 2010-10-26 09:47:15 UTC
(In reply to comment #15)
> "check PagePath" failure is a configuration error.  Please include a screenshot
> of the pagefile configuration dialog on this machine.

In my client machine, I set page file size is 7000M ( physical RAM size is 6500M).
Please see attachment "win2008R2-pagefile.jpg".

Comment 17 cshao 2010-10-26 09:48:02 UTC
Created attachment 455727 [details]
win2008R2-pagefile

Comment 18 Paolo Bonzini 2010-10-26 10:18:05 UTC
Chen, please attach

C:\WTT\JobsWorkingDir\Tasks\WTTJobRun637C6193-158E-4E51-8E4E-8B7D76C8E8E0\79CD41DD-D9C6-4A47-903E-7352985EF263.xml    

and the screenshot of the device manager (My Computer->right click->Manage->Device Manager).

Comment 19 cshao 2010-10-27 03:46:41 UTC
(In reply to comment #18)
> Chen, please attach
> 
> C:\WTT\JobsWorkingDir\Tasks\WTTJobRun637C6193-158E-4E51-8E4E-8B7D76C8E8E0\79CD41DD-D9C6-4A47-903E-7352985EF263.xml 
> 
> and the screenshot of the device manager (My Computer->right
> click->Manage->Device Manager).

Hi Paolo, 
I will upload information you need after retest this job.
Thanks.

Comment 20 cshao 2010-10-28 14:28:32 UTC
Created attachment 456251 [details]
pic from hardware

Comment 21 cshao 2010-10-28 14:29:16 UTC
Created attachment 456252 [details]
pic for device manager

Comment 22 Paolo Bonzini 2010-10-29 16:48:04 UTC
I think this can be VERIFIED per email from Maggie?  WDK Hot-Add is tracked by bug 526411.

Comment 23 Rita Wu 2010-11-01 08:52:48 UTC
Verified with xenpv-win-1.3.0.

DP WLK-HotReplace-Device Test passes on Win2k8(32bit and 64bit) and Win2k8-r2 when doing WHQL NIC and BLK test. So set it as VERIFIED

Comment 24 errata-xmlrpc 2011-02-01 09:00:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0187.html


Note You need to log in before you can comment on or make changes to this bug.